Page MenuHomeVyOS Platform

replace lighthttpd with nginx
Closed, ResolvedPublicFEATURE REQUEST

Description

We need web server/reverse proxy for several applications that we may introduce in near future

  • api endpoint
  • web ui
  • vpn portal

NGiNX more widely adopted and rich in functionality so can be used for other features

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

syncer created this task.Aug 28 2018, 8:45 AM
syncer triaged this task as Normal priority.Sep 1 2018, 2:26 PM
pasik added a subscriber: pasik.Mar 12 2019, 6:12 PM
dmbaturin closed this task as Resolved.Sep 6 2019, 4:13 PM
dmbaturin assigned this task to jestabro.
dmbaturin set Is it a breaking change? to Unspecified (possibly destroys the router).
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.Nov 12 2019, 9:19 PM